Subject: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Mar 2020 19:24:46 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 8 Mar 2020 02:49:24 +0200
> 
> >> A project is set of files. Which we usually define through a list of
> >> directories where the files reside, and a list of ignore rules that
> >> exclude some files within said directories from being considered a part
> >> of the project.
> > 
> > This is too abstract: it doesn't tell the reader how to "create a
> > project".  Without knowing that, all the rest of the information about
> > the commands is mostly useless, because the commands cannot be used in
> > practice.
> 
> We don't provide a command to create a project, and we probably won't in 
> the future either.

I don't think having commands to create a project is really
necessary.  If a project can be "created" by some external command,
like by placing some special file in the project root, or even by
defining a few Emacs variables, that is enough.

> I disagree about useless, since most users deal with existing projects 
> 99% of the time.

In Emacs?  Can you give examples of such existing projects, and how
users could use the commands we are discussing with those projects?